<template>
  <div class="p-4">
    <Logo class="p-4"/>
    <Book />

  </div>
</template>
<script>
  import Logo from '~/components/Logo.vue'
  import Book from '~/components/Book.vue'
  import {mapState,mapGetters,mapMutations,mapActions} from 'vuex'

  export default {
    components: {
      Logo,
      Book
    },
    computed:{
      ...mapGetters({
          books:'Books/getBooks'
        }
      )
    },
    mounted() {
      this.fetchBooks()
      //this.$store.dispatch('Books/fetchBooks')
    },
    methods:{
      ...mapActions({
        fetchBooks:'Books/fetchBooks'
      }),
      ...mapMutations({
        addBooks:'Books/addBooks'
      }),


    }
  }
</script>
